var e = require("../../common/vendor.js"),
  r = require("../../hooks/onMounted.js"),
  s = require("../../hooks/onShareAppMessage.js");
require("../../hooks/useState.js"),
  require("../../store/app/index.js"),
  require("../../enums/index.js"),
  require("../../data/index.js"),
  require("../../service/index.js"),
  require("../../utils/request.js"),
  require("../../config/index.js"),
  require("../../constant/index.js"),
  require("../../utils/util.js");
var u = {
  __name: "index",
  setup: function (u) {
    var i = e.ref("");
    return (
      r.onMounted(function (e) {
        i.value = e.url;
      }, !1),
      s.onShareAppMessage(),
      function (e, r) {
        return { a: i.value };
      }
    );
  },
  __runtimeHooks: 2,
};
wx.createPage(u);
